Open Closed

Framework 2.1.0-preview1-26216-03 #5409


0
ivanosw1 created

Hi, after test the Core + Angular 5.5.2 version on dev machine with success, I've published on test windows server. Installed the Aspnet + Host bundle 2.1.2 I receive this error: It was not possible to find any compatible framework version The specified framework 'Microsoft.NETCore.App', version '2.1.0-preview1-26216-03' was not found.

If I simply copy the 2.1.2 folder e rename to 2.1.0-preview1-26216-03 the site works. Do you know this issue ?

Thank you


3 Answer(s)
  • 0
    ismcagdas created
    Support Team

    Hi,

    We haven't faced this problem. It might be related to <a class="postlink" href="https://github.com/dotnet/cli/issues/8790">https://github.com/dotnet/cli/issues/8790</a>. You can try to uninstall .NET SDK from your server if there is one installed and try to install latest version.

  • 0
    ivanosw1 created

    Thank you @ismcagdas.

    I saw many of this problems googling. Someone on Slack suggested me this link <a class="postlink" href="https://github.com/dotnet/cli/issues/9519">https://github.com/dotnet/cli/issues/9519</a>

    I guess there isn't a universal solution. Maybe unistall / install process bring some benefit... but on client deploy I expect pain moments :-(

  • 0
    ismcagdas created
    Support Team

    You are right. Depending on current SDK installations, there are different problems. We have updated AspNet Zero's demo with the latest version but haven't faced such a problem, I hope the same for you :)